# syntax=docker/dockerfile:1
FROM node AS build-env

ADD --keep-git-dir=false https://github.com/digitalinnovationone/vite-react-sample.git /data

WORKDIR /data 

RUN npm install && npm run build

FROM httpd

COPY --from=build-env /data/dist/ /usr/local/apache2/htdocs/
